h4fc(1)

NAME
h4fc - compiles an HDF4 F90 program

SYNOPSIS
h4fc
[OPTIONS] <compile line>

DESCRIPTION
h4fc compiles an HDF4 F90 program.

OPTIONS

\FC-help\F[]
    Display usage information

\FC-echo\F[]
    Show all the shell commands executed

\FC-prefix\F[]=DIR
    Prefix directory to find HDF4 \FClib/\F[] and \FCinclude/\F[] subdirectories [default: /usr]

\FC-show\F[]
    Show the commands without executing them

<compile line>
    the normal compile line options for your compiler. h4fc uses the same compiler you used to compile HDF4. Check with your compiler's man pages for more information on which options are needed.

You can override the compiler, linker, and whether or not to use static or shared libraries to compile your program by setting the following environment variables accordingly:

HDF4_F77
    use a different Fortran 77 compiler

HDF4_F77LINKER
    use a different linker